> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Update Resident: Propertyware

PUT https://api.propexo.com/v1/residents/propertyware/{resident_id}
Content-Type: application/json

Update Resident: Propertyware

| Method |
|---|
| updateContact |

Reference: https://docs.propexo.com/api-reference/propertyware-soap/residents/update-resident-propertyware

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `resident_id` (string, required) — The Propexo unique identifier for the resident

### Body (application/json)

This endpoint expects a _v1_residents_propertyware_{resident_id}_put_input.

- `first_name` (string, optional) — The first name of the resident. This value maps to the firstName property of the Contact object
- `middle_name` (string, optional) — The middle name of the resident. This value maps to the middleName property of the Contact object
- `last_name` (string, optional) — The last name of the resident. This value maps to the lastName property of the Contact object
- `email_1` (string, optional) — The primary email address for the resident. This value maps to the email property of the Contact object
- `email_2` (string, optional) — The secondary email address for the resident. This value maps to the altEmail property of the Contact object
- `date_of_birth` (string, optional) — The date of birth of the resident. This value maps to the birthDate property of the Contact object.
- `address_1` (string, optional) — First line of the street address for the resident. This maps to the address property of Contact object
- `address_2` (string, optional) — Second line of the street address for the resident. This maps to the address2 property of the Contact object
- `city` (string, optional) — City of the resident's address. This maps to the city property of the Contact object.
- `state` (string, optional) — State of the resident's address. This maps to the state property of the Contact object.
- `zip` (string, optional) — Zip/Postal Code of the resident's address. This maps to the zip property of the Contact object.
- `country` (string, optional) — Country of the resident's address. This maps to the country property of the Contact object
- `phone_1` (string, optional) — Primary phone number for the resident. Depending on the value of phone_1_type, this may map to the properties fax, homePhone, mobilePhone, or workPhone.
- `phone_1_type` (enum, optional) — The type of the primary phone. Must be one of 'HOME', 'MOBILE', 'WORK', or 'FAX'
  - Allowed values: `HOME`, `MOBILE`, `WORK`, `FAX`
- `phone_2` (string, optional) — Secondary phone number for the resident. Depending on the value of phone_1_type, this may map to the properties fax, homePhone, mobilePhone, or workPhone.
- `phone_2_type` (enum, optional) — The type of the secondary phone. Must be one of 'HOME', 'MOBILE', 'WORK', or 'FAX'
  - Allowed values: `HOME`, `MOBILE`, `WORK`, `FAX`
- `notes` (string, optional) — Any notes about the resident. This maps to the comments property of the Contact object
- `custom_data` (V1ResidentsPropertywareResidentIdPutInputCustomData, optional, deprecated) — Deprecated: Field is no longer applicable

## Response

### 200

Successful response

- `meta` (V1ResidentsPropertywareResidentIdPutOutputMeta, required)
- `result` (V1ResidentsPropertywareResidentIdPutOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1ResidentsPropertywareResidentIdPutInputCustomData

Deprecated: Field is no longer applicable

### V1ResidentsPropertywareResidentIdPutOutputMeta

- `job_id` (string, required)

### V1ResidentsPropertywareResidentIdPutOutputResult

- `resident_id` (string, required) — The Propexo unique identifier for the resident
- `first_name` (string, optional) — The first name of the resident. This value maps to the firstName property of the Contact object
- `middle_name` (string, optional) — The middle name of the resident. This value maps to the middleName property of the Contact object
- `last_name` (string, optional) — The last name of the resident. This value maps to the lastName property of the Contact object
- `email_1` (string, optional) — The primary email address for the resident. This value maps to the email property of the Contact object
- `email_2` (string, optional) — The secondary email address for the resident. This value maps to the altEmail property of the Contact object
- `date_of_birth` (string, optional) — The date of birth of the resident. This value maps to the birthDate property of the Contact object.
- `address_1` (string, optional) — First line of the street address for the resident. This maps to the address property of Contact object
- `address_2` (string, optional) — Second line of the street address for the resident. This maps to the address2 property of the Contact object
- `city` (string, optional) — City of the resident's address. This maps to the city property of the Contact object.
- `state` (string, optional) — State of the resident's address. This maps to the state property of the Contact object.
- `zip` (string, optional) — Zip/Postal Code of the resident's address. This maps to the zip property of the Contact object.
- `country` (string, optional) — Country of the resident's address. This maps to the country property of the Contact object
- `phone_1` (string, optional) — Primary phone number for the resident. Depending on the value of phone_1_type, this may map to the properties fax, homePhone, mobilePhone, or workPhone.
- `phone_1_type` (enum, optional) — The type of the primary phone. Must be one of 'HOME', 'MOBILE', 'WORK', or 'FAX'
  - Allowed values: `HOME`, `MOBILE`, `WORK`, `FAX`
- `phone_2` (string, optional) — Secondary phone number for the resident. Depending on the value of phone_1_type, this may map to the properties fax, homePhone, mobilePhone, or workPhone.
- `phone_2_type` (enum, optional) — The type of the secondary phone. Must be one of 'HOME', 'MOBILE', 'WORK', or 'FAX'
  - Allowed values: `HOME`, `MOBILE`, `WORK`, `FAX`
- `notes` (string, optional) — Any notes about the resident. This maps to the comments property of the Contact object
- `custom_data` (V1ResidentsPropertywareResidentIdPutOutputResultCustomData, optional, deprecated)

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1ResidentsPropertywareResidentIdPutOutputResultCustomData

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "meta": {
    "job_id": "job_9f8b7c6d5e4a3b2c1d0e"
  },
  "result": {
    "resident_id": "res_1234567890abcdef",
    "first_name": "Emily",
    "middle_name": "Grace",
    "last_name": "Johnson",
    "email_1": "emily.johnson@example.com",
    "email_2": "e.johnson.alt@example.com",
    "date_of_birth": "1990-04-22T00:00:00Z",
    "address_1": "123 Maple Street",
    "address_2": "Apt 4B",
    "city": "Springfield",
    "state": "IL",
    "zip": "62704",
    "country": "USA",
    "phone_1": "+1-217-555-1234",
    "phone_1_type": "MOBILE",
    "phone_2": "+1-217-555-5678",
    "phone_2_type": "HOME",
    "notes": "Resident prefers email communication.",
    "custom_data": {}
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/residents/propertyware/resident_id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/residents/propertyware/resident_id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/residents/propertyware/resident_id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/residents/propertyware/resident_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.propexo.com/v1/residents/propertyware/resident_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.propexo.com/v1/residents/propertyware/resident_id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/residents/propertyware/resident_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/residents/propertyware/resident_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```